#
# spec file for package perl-Audio-Musepack
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Audio-Musepack
Version:        1.0.1
Release:        1699.8.pm.19
Summary:        An object-oriented interface to Musepack file information and APE tag fields
License:        Artistic-1.0 OR GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Audio-Musepack
Source:         http://search.cpan.org/CPAN/authors/id/D/DA/DANIEL/Audio-Musepack-%{version}.tar.gz
BuildRequires:  make
BuildRequires:  perl-macros
BuildRequires:  perl(Audio::Scan) >= 0.85
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Module::Install)
Requires:       perl(Audio::Scan) >= 0.85
BuildArch:      noarch
%{perl_requires}

%description
This module returns a hash containing basic information about a Musepack
file, as well as tag information contained in the Musepack file's APE
tags.

%prep
%setup -q -n "Audio-Musepack-%{version}"
sed -i '/^auto_install/d' Makefile.PL

%build
perl Makefile.PL PREFIX="%{_prefix}"
make %{?_smp_mflags}

%install
%perl_make_install
%perl_process_packlist

%check
make %{?_smp_mflags} test

%files
%doc Changes README
%dir %{perl_vendorlib}/Audio
%{perl_vendorlib}/Audio/APE.pm
%{perl_vendorlib}/Audio/APETags.pm
%{perl_vendorlib}/Audio/Musepack.pm
%doc %{perl_man3dir}/Audio::Musepack.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/Audio::APE.%{perl_man3ext}%{ext_man}

%changelog
* Sat Mar 10 2018 aloisio@gmx.com
- Fix build
- Spec cleanup
* Fri Mar 18 2011 pascal.bleser@opensuse.org
- initial version (1.0.1)
